Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage
Class LinkageMatch

    java.lang.Object
      edu.uky.kcr.recordlinkage.LinkageMatch

    public class LinkageMatch

extends java.lang.Object

Constructor Summary
`LinkageMatch()`
`LinkageMatch(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord primaryDataSourceRecord, edu.uky.kcr.recordlinkage.datasource.DataSourceRecord secondaryDataSourceRecord)`

Method Summary
`java.util.Map` | `getMatchAttributes()`
`edu.uky.kcr.recordlinkage.datasource.DataSourceRecord` | `getPrimaryDataSourceRecord()`
`java.lang.Float` | `getScore()`
`edu.uky.kcr.recordlinkage.datasource.DataSourceRecord` | `getSecondaryDataSourceRecord()`
`void` | `setMatchAttributes(java.util.Map matchAttributes)`
`void` | `setPrimaryDataSourceRecord(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord primaryDataSourceRecord)`
`void` | `setScore(java.lang.Float score)`
`void` | `setSecondaryDataSourceRecord(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord secondaryDataSourceRecord)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkageMatch

    public LinkageMatch()

### LinkageMatch

    public LinkageMatch(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord primaryDataSourceRecord,
                        edu.uky.kcr.recordlinkage.datasource.DataSourceRecord secondaryDataSourceRecord)

Method Detail

### getScore

    public java.lang.Float getScore()

### setScore

    public void setScore(java.lang.Float score)

### getMatchAttributes

    public java.util.Map getMatchAttributes()

### setMatchAttributes

    public void setMatchAttributes(java.util.Map matchAttributes)

### getPrimaryDataSourceRecord

    public edu.uky.kcr.recordlinkage.datasource.DataSourceRecord getPrimaryDataSourceRecord()

### getSecondaryDataSourceRecord

    public edu.uky.kcr.recordlinkage.datasource.DataSourceRecord getSecondaryDataSourceRecord()

### setPrimaryDataSourceRecord

    public void setPrimaryDataSourceRecord(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord primaryDataSourceRecord)

### setSecondaryDataSourceRecord

    public void setSecondaryDataSourceRecord(edu.uky.kcr.recordlinkage.datasource.DataSourceRecord secondaryDataSourceRecord)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD